<?php if (!defined('HTTP_SERVER')) die('You can not access this file directly!');
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.0.9
  @date  12/06/10, 17:46
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
*/
class develop{


  function __construct(){

    global $page;
  }

  public function draw_block(){
    error_reporting(0);
    global $page;
    $li='';
    reset($page->page['modules']);
    while($r=each($page->page['modules'])){
      if($r['key'] !='list' &&  $r['key'] !='sort'){
//         ;
        while($b=each($r['value'])){
        $tab=$page->oscss_modules->_return($b['key']);
        $li .='<a href="#" title="'
            ."\n".'-- class de boite:'.$r['key']
            ."\n".'-- name: '.$tab['name']
            ."\n".'-- path: '.$tab['path']
            ."\n".'-- dir_lang: '.$tab['dir_lang']
            .'">(i)</a> '.$tab['name_clean'].' '
            ."<br /><span></span>";
        }
      }
    }

    $p_li='';
    reset($page->page['plugins']);
    if(isset($page->page['plugins']['actif']) && is_array($page->page['plugins']['actif']))
    while($r=each($page->page['plugins']['actif'])){
      $p_li .=$r['value'].', '."<br /><span></span>";
    }
    $c_li='';

    reset($page->page['boxes']);
    while($r=each($page->page['boxes'])){
      $b=each($r['value']);
      $c_li .='<a href="#" title="'
          ."\n".'-- class de boite:'.$r['key']
          .'">(i)</a> '.$b['key'].' <a href="#" title="'.'">(i)</a>'."<br /><span></span>";
    }
    print '<div id="develop">'.
        '<h4>obj page <a href="#" title="Pour desactiver ce mode, editer le fichier header.php de votre theme est commenté la ligne :: $this->add_var_page(\'develop\',\'true\');  ">(i)</a></h4>'.
        '<p><span>language:</span> '.$page->page['language'].'</p>'.
        '<p><span>type:</span> '.$page->page['type'].'</p>'.
        '<p><span>Script : <a href="#" title="page racine">(i)</a></span> '.$page->page['script'].'</p>'.
        '<p><span>Content: <a href="#" title="le contenu principal de la page ne cours">(i)</a></span> <a href="#" title="'.@$page->page['path_content'].'">(i)</a>'.@$page->page['content'].'</p>'.
        '<p><span>Module:</span> '.$li.'</p>'.
        '<p><span>Boxes <a href="#" title="'._('boite(s) chargée(s)').'">(i)</a>:</span> '.$c_li.'</p>'.
        '<p><span>Plugin (std):</span> '.$p_li.'</p>'.
        '<p><span>Gabarit:</span> '.  $page->page['gabarit'].'</p>'.
        '<p><span>template: </span>'.$page->page['template'].'</p>';
//     print '<p><span>Erreur(s): </span><a href="#retour_erreur">'.$page->page->messageStack->size('error').'</a></p>';
    print '</div>';
  }
}
?>